classification
Title: Add context manager support to epoll object
Type: enhancement Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, jcea, pitrou, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2012-11-16 15:14 by serhiy.storchaka, last changed 2013-01-27 02:02 by jcea. This issue is now closed.

Files
File name Uploaded Description Edit
select_epoll_context_manager.patch serhiy.storchaka, 2012-11-16 15:14 review
Messages (5)
msg175693 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-11-16 15:14
The proposed patch adds support of context manager protocol to epoll objects.
msg175702 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-11-16 18:35
I don't think that's very useful since generally the epoll object will have to survive accross function calls (it's usually stored as an attribute somewhere on your event loop).

On the other hand, this addition doesn't hurt.
msg176192 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-11-23 17:20
+0 for patch
msg177558 - (view) Author: Roundup Robot (python-dev) Date: 2012-12-15 20:16
New changeset d6f61cd364d9 by Antoine Pitrou in branch 'default':
Issue #16488: epoll() objects now support the `with` statement.
http://hg.python.org/cpython/rev/d6f61cd364d9
msg177559 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-12-15 20:17
Committed, thank you!
History
Date User Action Args
2013-01-27 02:02:56jceasetnosy: + jcea
2012-12-15 20:17:44pitrousetstatus: open -> closed
resolution: fixed
messages: + msg177559

stage: patch review -> resolved
2012-12-15 20:16:28python-devsetnosy: + python-dev
messages: + msg177558
2012-11-23 17:20:35asvetlovsetnosy: + asvetlov
messages: + msg176192
2012-11-16 18:35:09pitrousetnosy: + pitrou
messages: + msg175702
2012-11-16 15:14:09serhiy.storchakacreate